//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Layouts.hpp>
#include <FMX.Memo.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Types.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.ScrollBox.hpp>
#include "Winsoft.Android.FTDI.D2XX.hpp"
#include <FMX.ListBox.hpp>
#include <FMX.Memo.Types.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
  TButton *ButtonOpenClose;
	TMemo *Memo;
  TComboBox *ComboBoxDevices;
  TTimer *Timer;
	void __fastcall ButtonOpenCloseClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall ComboBoxDevicesChange(TObject *Sender);
  void __fastcall TimerTimer(TObject *Sender);
  void __fastcall MemoChangeTracking(TObject *Sender);
private:	// User declarations
  TSerialDevice *Device;
  String Text;
  void __fastcall AppendText(String NewText);
  void __fastcall RefreshDevices();
  void __fastcall Open();
  void __fastcall Close();
public:		// User declarations
	__fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
